## Vaucanson, a generic library for finite state machines.
## Copyright (C) 2009 The Vaucanson Group.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## The complete GNU General Public Licence Notice can be found as the
## `COPYING' file in the root directory.
##
## The Vaucanson Group consists of people listed in the `AUTHORS' file.
##
## NOTE: this file was generated automatically with generate_libvcsn.rb
##

lib_LTLIBRARIES	+= libvcsn-z-min.la
libvcsn_z_min_la_CXXFLAGS	= $(CXXFLAGS) -DVCSN_CONTEXT=z_min_plus_automaton
libvcsn_z_min_la_LIBADD	= $(LIBOBJS) $(LIBADD) $(benchlib)
libvcsn_z_min_la_SOURCES	= vcsn-z-min/all.cc
## all.cc includes all the source files below.  We declare them
## as EXTRA_*_SOURCES so they are distributed and so we can
## build a single object file on demand.
EXTRA_libvcsn_z_min_la_SOURCES = \
  vcsn-z-min/accessible.cc	\
  vcsn-z-min/aci_canonical.cc	\
  vcsn-z-min/aut_to_exp.cc	\
  vcsn-z-min/berry_sethi.cc	\
  vcsn-z-min/brzozowski.cc	\
  vcsn-z-min/complement.cc	\
  vcsn-z-min/complete.cc	\
  vcsn-z-min/concatenate.cc	\
  vcsn-z-min/cut_up.cc	\
  vcsn-z-min/derived_term_automaton.cc	\
  vcsn-z-min/determinize.cc	\
  vcsn-z-min/eps_removal.cc	\
  vcsn-z-min/eps_removal_sp.cc	\
  vcsn-z-min/equivalent.cc	\
  vcsn-z-min/eval.cc	\
  vcsn-z-min/finite_support_conversion.cc	\
  vcsn-z-min/is_ambiguous.cc	\
  vcsn-z-min/is_deterministic.cc	\
  vcsn-z-min/is_empty.cc	\
  vcsn-z-min/is_useless.cc	\
  vcsn-z-min/isomorph.cc	\
  vcsn-z-min/krat_exp_constant_term.cc	\
  vcsn-z-min/krat_exp_expand.cc	\
  vcsn-z-min/krat_exp_flatten.cc	\
  vcsn-z-min/krat_exp_realtime.cc	\
  vcsn-z-min/minimization_hopcroft.cc	\
  vcsn-z-min/minimization_moore.cc	\
  vcsn-z-min/normalized.cc	\
  vcsn-z-min/product.cc	\
  vcsn-z-min/realtime.cc	\
  vcsn-z-min/standard.cc	\
  vcsn-z-min/standard_of.cc	\
  vcsn-z-min/sub_automaton.cc	\
  vcsn-z-min/sum.cc	\
  vcsn-z-min/thompson.cc	\
  vcsn-z-min/transpose.cc	\
  vcsn-z-min/trim.cc	

MAINTAINERCLEANFILES += $(libvcsn_z_min_la_SOURCES) $(EXTRA_libvcsn_z_min_la_SOURCES) vcsn-z-min/libvcsn-z-min.mk
